Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Stop Adobe flash update notifications

  • 9 replies
  • 8 have this problem
  • 27 views
  • Last reply by spacerogue

more options

I would like my flash videos to load and play automatically when I navigate to a webpage. Recently I have been unsuccessful at making this happen.

Multiple times when I navigate to a flash video website I see a popup "This plugin is vulnerable and should be updated." and can click to "Activate Adobe Flash" or "Check for Updates..." Additionally I also see a popup "Firefox has prevented the outdated plugin 'Adobe Flash' from running. Update now..." with buttons "Allow Now" and "Allow and Remember" After choosing "Allow and Remember" I am able to play flash videos automatically on websites I visit more than once. Is there an option to "Allow and Remember" for all websites? If yes how can I get this to work in my Firefox browser?

I have tried to select "Always Activate" for Adobe Flash on my plugin page. It is currently greyed out.

Currently running Adobe Flash Player 16.0.0.296

All Replies (9)

more options

Hi, you are getting those messages because your Shockwave Flash is out of date and is vulnerable to attack, so I strongly advise you to update it - in the 3-bar menu, go to Manage your add-ons (looks like a piece of jigsaw) > Plugins > Check to see if you plugins are up to date. (The latest version is 16.0.0.305).

If for any reason that doesn't work, you can go the Adobe website here.

If you receive a satisfactory answer, please help others having a similar problem, by marking it as 'Solved.'

Modified by Scribe

more options

Thanks for the reply scribe_uk.

I understand that I am asked to upgrade my flash player because of security vulnerability in the plugin. However I feel I have been asked to update Adobe flash multiple times in a short period and choose not to update it as frequently. I am looking for a solution of running an outdated plugin without the warnings.

more options

OK, well you can try this, although I don't recommend it - type about:config into the address bar, press Enter, accept the warning about dragons, scroll down to extensions.update.autoUpdateDefault and double click on it to change from True to False. (You can revert back in the same way).

Hope that answers your question and will do what you want.

more options

alissia,

Don't waste you time with a preference for extensions, it isn't going to do anything for a plugin like Flash. They're two different types of add-ons, which get updated from different sources and in a different manner.

Mozilla has gotten very paternalistic over the last couple of years with regards to plugins; the best you can get is "Allow" and "Allow and Remember" when a plugin is on the Blocklist. https://addons.mozilla.org/en-US/firefox/blocked/

Flash has been updated 5 times since early December, and each update was to fix either security or stability issues brought about by a security fix that wasn't properly tested - IMO. Mozilla blocked the versions that had security issues as you can see for December 11 & 12, 2014, for January 28, 2015, and for February 5, 2015 blocklist dates. The latest .305 version release is for an exploit that was discovered within hours after .296 was released.

Sorry, there isn't a safe way to override those warnings or to by-pass them.

more options

Thanks scribe_uk for looking into possible solutions for me. I was unsuccessful at getting extensions.update.autoUpdateDefault to stop flash update warnings.

Thank you edmeister for clarifying what Mozilla's policies are in regards to updates for extensions. Not what I wanted to hear and good to know.


I'd like to close this from further discussion, thanks.

more options

Your System Details List shows multiple Flash plugins.

  • Shockwave Flash 11.7 r700
  • Shockwave Flash 16.0 r0

You can find the installation path of all plugins on the about:plugins page.

You can check the Flash player installation folder for multiple Flash player plugins and remove older version(s) of the plugin (NPSWF32) and possibly (re)install the latest Flash player.

  • (32 bit Windows) C:\Windows\System32\Macromed\Flash\
  • (64 bit Windows) C:\Windows\SysWOW64\Macromed\Flash\

You can find the latest Flash player versions for Firefox on this page:

See also this about uninstalling Flash players:

more options

if you feel that you have been asked to update Adobe Flash too many times in a short period and choose not to update it here is a solution for running outdated plugins without the warnings.

this example is for Firefox 15.0, Firefox 18.0.2, Firefox 19.0... but should work with other versions of the browser.

i will suppose that you have an instalation of Firefox (for example 17.0) and Macromedia Flash Player (for example 10.1 r53 non IE version) on your computer and that your home drive is C:\

you do this at your own risk (if any?).

1. 'Export Bookmarks to HTML' (Bookmarks > Show All Bookmarks > Import and Backup)

2. uninstall Firefox completely.

3. delete folder C:\Documents and Settings\[YOUR USER HERE]\Application Data\Mozilla

4. delete folder C:\Program Files\Mozilla Firefox

5. disconnect the computer from the internet (don't forget to do this)

6. custom install just Firefox then run FIrefox and disable updates (just in case, not needed) Tools > Options > Advanced > Update > Never check for updates

7. THE IMPORTANT PART: - in a new tab enter 'about:config' and accept the warning

- in the search box type "plugin"

- find the 'Preference Name' plugins.hide_infobar_for_outdated_plugin and change the value to 'true' (right click on it and select Toggle)

- find the 'Preference Name' plugins.update.url and delete the URL entirely (right click on it and select Modify)

- in the search box type "blocklist"

- find the 'Preference Name' extensions.blocklist.enabled and set the value to 'false'

- find the 'Preference Name' extensions.blocklist.url and delete the string value entirely

- find the 'Preference Name' extensions.blocklist.detailsURL, delete the URL entirely

- find the 'Preference Name' extensions.blocklist.itemURL, delete URL

8. import your Bookmarks back to Firefox

9. connect to internet and happy browsing

more options

spacerogue that answer is not a good solution. Disabling the blocklist is a real security risk. Besides a "click-to-play" block of unsafe Flash versions, the blocklist also prevents other vulnerable plugins from running automatically and also blocks malicious extensions and crash-prone graphics drivers (see Blocklist updating for related links).

To stay safe, you should re-enable the blocklist. Also make sure that Adobe Flash is set to automatically update. See Flash Player Help / Background updates and Flash Plugin - Keep it up to date and troubleshoot problems for more information.

Before Dec 9, Mozilla had not blocked any Flash player versions since early 2013 because the security concerns were minor compared to the proven in wild critical security exploits that Adobe was trying to fix recently. https://addons.mozilla.org/en-US/firefox/blocked/

Modified by James

more options

@alissia

instead of 3. delete folder C:\Documents and Settings\[YOUR USER HERE]\Application Data\Mozilla

may be you're better with 3. open folder C:\Documents and Settings\[YOUR USER HERE]\Application Data\Mozilla and delete the Firefox subfolder

you may have something else installed from Mozila.

and don't forget to install an older version of Flash plugin if you have an older computer, although all newer versions of FIrefox play mp4 videos on their own.